Summary:        Python client for Sentry
Name:           python-raven

Version:        6.10.0
Release: 	2%{?dist}

License:        BSD
URL:            https://pypi.python.org/pypi/raven/
Source0:        https://files.pythonhosted.org/packages/source/r/raven/raven-%{version}.tar.gz
Patch0:         raven-use-system-cacert.patch
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%global _description\
Raven is a Python client for Sentry <http://getsentry.com>. It provides full\
out-of-the-box support for many of the popular frameworks, including Django,\
and Flask. Raven also includes drop-in support for any WSGI-compatible web\
application.

%description %_description

%package -n python3-raven
Summary:        Python client for Sentry

%description -n python3-raven
Raven is a Python client for Sentry <http://getsentry.com>. It provides full
out-of-the-box support for many of the popular frameworks, including Django,
and Flask. Raven also includes drop-in support for any WSGI-compatible web
application.

%package -n python3-raven+flask
Summary: Metapackage for python3-raven: flask extras
Requires: python3-raven

%description -n python3-raven+flask
This is a metapackage bringing in flask extras requires for python3-raven.
It makes sure the dependencies are installed.

%files -n python3-raven+flask
%ghost /usr/lib/python3.11/site-packages/*.egg-info


%prep
%setup -q -n raven-%{version}
%patch0 -p1

rm raven/data/cacert.pem
rmdir raven/data

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root=%{buildroot}

%check

%files -n python3-raven
%doc README.rst
%license LICENSE
%{_bindir}/raven
%{python3_sitelib}/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.10.0-1
- initial build
